StarFileManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
StarFileManager Class Reference

the main class to read/. More...

`#include <StarFileManager.hxx>`

## Public Member Functions
| StarFileManager ()
| constructor More...
virtual | ~StarFileManager ()
| destructor More...

## Static Public Member Functions
static bool | readImageDocument (STOFFInputStreamPtr input, librevenge::RVNGBinaryData &data, std::string const &fileName)
| low level More...
static bool | readMathDocument (STOFFInputStreamPtr input, std::string const &fileName, StarObject &doc)
| try to read a math zone: "StarMathDocument" (v 3 or v4) .sdf More...
static bool | readEmbeddedPicture (STOFFInputStreamPtr input, librevenge::RVNGBinaryData &data, std::string &dataType, std::string const &fileName, StarObject &doc)
| try to read a embedded picture file: Embedded/PicXXXXXX More...
static bool | readOleObject (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a "Ole-Object" zone More...
static bool | readOutPlaceObject (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "OutPlace Object" More...
static bool | readJobSetUp (StarZone &zone, bool usePrinterLen)
| try to read a printer zone More...
static bool | readFont (StarZone &zone)
| try to read a font More...
static bool | readSVGDI (StarZone &zone)
| try to read a SVGDI object More...

## Private Attributes
shared_ptr< StarFileManagerInternal::State > | m_state
| the state More...

## Detailed Description

the main class to read/.

. some basic StarOffice OLEs

## Constructor & Destructor Documentation

StarFileManager::StarFileManager | ( |  | ) |

constructor

StarFileManager::~StarFileManager | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool StarFileManager::readEmbeddedPicture | ( | STOFFInputStreamPtr | input,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string & | dataType,
|  | std::string const & | fileName,
|  | StarObject & | doc
| ) |  |
| static

try to read a embedded picture file: Embedded/PicXXXXXX

Referenced by SDAParser::createZones(), SDCParser::createZones(), and SDWParser::createZones().

bool StarFileManager::readFont | ( | StarZone & | zone | ) |
| static

try to read a font

Referenced by StarFormatManager::readNumberFormat().

bool StarFileManager::readImageDocument | ( | STOFFInputStreamPtr | input,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string const & | fileName
| ) |  |
| static

low level

try to read a image zone: "StarImageDocument" or "StarImageDocument 4.0

Referenced by SDAParser::createZones(), SDCParser::createZones(), and SDWParser::createZones().

bool StarFileManager::readJobSetUp | ( | StarZone & | zone,
|  | bool | usePrinterLen
| ) |  |
| static

try to read a printer zone

Referenced by StarObjectSpreadsheet::readCalcDocument(), StarObjectChart::readChartDocument(), StarObjectDraw::readPresentationData(), and StarObjectText::readSWJobSetUp().

bool StarFileManager::readMathDocument | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName,
|  | StarObject & | doc
| ) |  |
| static

try to read a math zone: "StarMathDocument" (v 3 or v4) .sdf

Referenced by SDAParser::createZones(), SDCParser::createZones(), and SDWParser::createZones().

bool StarFileManager::readOleObject | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| static

try to read a "Ole-Object" zone

Referenced by SDAParser::createZones(), SDCParser::createZones(), and SDWParser::createZones().

bool StarFileManager::readOutPlaceObject | ( | STOFFInputStreamPtr | input,
|  | libstoff::DebugFile & | ascii
| ) |  |
| static

try to read the "OutPlace Object"

Referenced by SDAParser::createZones(), SDCParser::createZones(), and SDWParser::createZones().

bool StarFileManager::readSVGDI | ( | StarZone & | zone | ) |
| static

try to read a SVGDI object

Referenced by StarGraphicStruct::StarGraphic::read(), readEmbeddedPicture(), and StarObject::readSfxPreview().

## Member Data Documentation

shared_ptr<StarFileManagerInternal::State> StarFileManager::m_state
| private

the state

The documentation for this class was generated from the following files:

- StarFileManager.hxx
- StarFileManager.cxx